## org.mortbay.start
Class Monitor

    java.lang.Object
      |
      +--java.lang.Thread
            |
            +--org.mortbay.start.Monitor

All Implemented Interfaces:
  java.lang.Runnable

public class Monitor
extends java.lang.Thread

Monitor thread. This thread listens on the port specified by the STOP.PORT system parameter (defaults to 8079) for request authenticated with the key given by the STOP.KEY system parameter (defaults to "mortbay") for admin requests. Commands "stop" and "status" are currently supported.

Field Summary

Fields inherited from class java.lang.Thread
`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

Method Summary
`static void` `monitor()` Start a Monitor.
`void` `run()`

Methods inherited from class java.lang.Thread
`activeCount, checkAccess, countStackFrames, currentThread, destroy, dumpStack, enumerate, getContextClassLoader, getName, getPriority, getThreadGroup, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setName, setPriority, sleep, sleep, start, stop, stop, suspend, toString, yield`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### run

    public void run()

  Specified by:
    `run` in interface `java.lang.Runnable`
  Overrides:
    `run` in class `java.lang.Thread`

### monitor

    public static void monitor()

  Start a Monitor. This static method starts a monitor that listens for admin requests.

Copyright © 2000 Mortbay Consulting Pty. Ltd. All Rights Reserved.